XkbSAGroup(3)

NAME
XkbSAGroup - Returns the group_XXX field of act converted to a signed int

SYNOPSIS
int XkbSAGroup macro ( act )
      XkbAction act;

ARGUMENTS

- act
    action from which to extract group

DESCRIPTION

XkbSAGroup returns the group_XXX field of act converted to a signed int.

STRUCTURE

Actions associated with the XkbGroupAction structure change the current group state when keys are pressed and released:
    typedef struct _XkbGroupAction {
        unsigned char    type;       /* XkbSA_{Set|Latch|Lock}Group */
        unsigned char    flags;      /* with type, controls the effect on groups
*/
        char             group_XXX;  /* represents a group index or delta */
    } XkbGroupAction;